
During recovery from cancer surgery, I was lying in my hospital bed. I began to feel very shaky and weak. My mom was sitting next to my bed and I asked her if I was going to die. She said, 'No.' I began to hear a very mechanical sound, like a weird, whooshing, mechanical wave-type sound. I had a respiratory arrest. They ran a code blue. I was gone.

I perceived myself in a room, like some kind of control room. There was a bunch of people waiting for me. There were many, many people. The focus of all these people seemed to be on me. Some female being ran in and said to a male being that it was not right and it was not my time. There were two females sitting next to me. I call them angels. I asked them what was going on but they only looked at me and smiled. It was the kind of smile that a mother gives an infant. They told me, in a telepathic way, that there was no possible way that I would be able to understand what was happening but to not be afraid. After the male and female discussed my time not being right, I was sent back to my body.

I woke up gradually to see the room full of doctors working on me and my mom was crying. I am still very afraid of death. I have cancer and will die soon but it still scares me, even after this event.
